Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Fri, 13 Mar 2020 14:23:51 +0200

On 12.03.2020 16:57, Eli Zaretskii wrote:

>>> Of course, but this loses context: we were discussing whether and how
>>> to document these commands in the user manual.  For that manual,
>>> extensions that exist only in theory are not really relevant.
>>
>> What if an extension materializes right after Emacs 27's release?
> 
> How can we describe such an extension in advance in the user manual?

Maybe by using a higher-level language like I suggested earlier in this 
discussions.

Projects are this and that, you can use commands xx and yy whn inside a 
project. If the current buffer does not belong to a project, you will be 
prompted for a directory to look in. The main project type supported by 
Emacs OOB is VC repositories.

I'm not insisting or anything, but that's how I'd do it. How do we 
document completion-at-point, for instance? It's also extensible.